package com.ruoyi.zongzhi.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.zongzhi.domain.TcSgjTj;
import com.ruoyi.zongzhi.service.TcSgjTjService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 安全监测受攻击统计(TcSgjTj)表控制层
 *
 * @author wu
 * @since 2023-09-11 15:42:21
 */
@RestController
@RequestMapping("zongzhi/tcSgjTj")
@Api(tags = "安全监测受攻击统计")
@Transactional(rollbackFor = Exception.class)
public class TcSgjTjController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TcSgjTjService tcSgjTjService;

    /**
     * 分页条件查询所有数据
     *
     * @param page    分页条件
     * @param tcSgjTj 查询条件
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation(value = "分页条件查询安全监测受攻击统计", response = TcSgjTj.class)
    public AjaxResult page(Page<TcSgjTj> page, TcSgjTj tcSgjTj) {
        return success(tcSgjTjService.page(page, new QueryWrapper<>(tcSgjTj)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation(value = "通过主键查询单条安全监测受攻击统计", response = TcSgjTj.class)
    public AjaxResult getById(@PathVariable Serializable id) {
        return success(tcSgjTjService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param tcSgjTj 实体对象
     * @return 新增结果
     */
    @PostMapping
    @ApiOperation(value = "新增安全监测受攻击统计", response = TcSgjTj.class)
    public AjaxResult insert(@RequestBody TcSgjTj tcSgjTj) {
        return success(tcSgjTjService.save(tcSgjTj));
    }

    /**
     * 修改数据
     *
     * @param tcSgjTj 实体对象
     * @return 修改结果
     */
    @PutMapping
    @ApiOperation(value = "修改安全监测受攻击统计")
    public AjaxResult update(@RequestBody TcSgjTj tcSgjTj) {
        return success(tcSgjTjService.updateById(tcSgjTj));
    }

    /**
     * 删除数据
     *
     * @param idList 主键集合
     * @return 删除结果
     */
    @DeleteMapping
    @ApiOperation(value = "删除安全监测受攻击统计")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(tcSgjTjService.removeByIds(idList));
    }
}

