package com.ruoyi.zongzhi.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 安全监测受攻击统计(TcSgjTj)表实体类
 *
 * @author wu
 * @since 2023-09-11 15:42:22
 */
@Data
@ApiModel("安全监测受攻击统计实体类")
@TableName(value = "tc_sgj_tj")
public class TcSgjTj implements Serializable {

    private static final long serialVersionUID = -71243947099429961L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 所属镇ID
     */
    @ApiModelProperty(value = "所属镇ID")
    private Long townId;

    /**
     * 所属村ID
     */
    @ApiModelProperty(value = "所属村ID")
    private Long villageId;

    /**
     * 网络攻击（次）
     */
    @ApiModelProperty(value = "网络攻击（次）")
    private Integer totalSum;

    /**
     * 入侵攻击
     */
    @ApiModelProperty(value = "入侵攻击")
    private Integer rqSum;

    /**
     * 恶意扫描
     */
    @ApiModelProperty(value = "恶意扫描")
    private Integer eySum;

    /**
     * 僵木蠕病毒
     */
    @ApiModelProperty(value = "僵木蠕病毒")
    private Integer jmrSum;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    /**
     * 创建人名称
     */
    @ApiModelProperty(value = "创建人名称")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date createTime;

    /**
     * 最后更新人id
     */
    @ApiModelProperty(value = "最后更新人id")
    private Long updateId;

    /**
     * 最后更新人名称
     */
    @ApiModelProperty(value = "最后更新人名称")
    private String updateBy;

    /**
     * 最后更新时间
     */
    @ApiModelProperty(value = "最后更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}

